Subject: FVWM: fvwm "look and feel" issues

From: Eli Burke <[email-masked]>
Date: Tue, 3 Oct 1995 15:11:45 -0400 (EDT)

I just wanted to bring something up that I notice periodically
when I use fvwm (less and less as time goes by, but whenever I have 
used Mwm recently :)
	Click on a title bar. (or the move icon) Now move your window 
around. See how the outline flashes ever so slightly as you move it?
It is much more noticible for side-to-side motion, in case that helps.
	I've used fvwm under Ultrix, OSF/1, SunOS, and HP-UX, and it
has this behaviour on every OS. When you use Mwm, however, the movement
of window outlines is smooth and even.
	The general impression that this behaviour gives fvwm is that
it is slow to respond and just ever so slightly unpolished.
	How difficult would it be to fix the window movement routines
so that they are just ever so slightly smoother?

	Oh, this is of course fvwm 1.24r -- but I believe that 2.0
does the same thing.

-- 
Eli Burke
[email-masked] 
http://csugrad.cs.vt.edu/~eburke/ 
--
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].

---

From: <[email-masked]> (Charles Hines)
Date: Tue, 3 Oct 1995 16:32:11 -0400

>>>>> "Eli" == Eli Burke <[email-masked]> writes:

Eli>    I just wanted to bring something up that I notice periodically
Eli> when I use fvwm (less and less as time goes by, but whenever I have
Eli> used Mwm recently :)

See, that's your problem!  You used MWM for something.  :)

Eli>    Click on a title bar. (or the move icon) Now move your window
Eli> around. See how the outline flashes ever so slightly as you move it?
Eli> It is much more noticible for side-to-side motion, in case that helps.
Eli>    I've used fvwm under Ultrix, OSF/1, SunOS, and HP-UX, and it
Eli> has this behaviour on every OS. When you use Mwm, however, the movement
Eli> of window outlines is smooth and even.

I just compared 2.0, 1.24r, and MWM (1.2.4) in this regards, and I
don't really see where fvwm looks bad.  Either version.  I see a
*slight* flicker in the the movement, but I can see it in MWM as well.

It is slightly more noticible in fvwm though, I think because the
outline is one or two pixels thicker, plus fvwm has the extra lines
through the middle of the outline as well.  If the thickness were
reduced and those lines removed, I think that the two would look
exactly the same.  I'll experiment with changing the thickness and see
if it matters.

Eli>    The general impression that this behaviour gives fvwm is that
Eli> it is slow to respond and just ever so slightly unpolished.

I don't think it gives that impression at all, although it is slightly
unpolished.  What do you want for free? :)  It's hopefully getting
better all the time though.

Eli>    How difficult would it be to fix the window movement routines
Eli> so that they are just ever so slightly smoother?

Don't know.  I'll look into what I mentioned above and see.

Eli>    Oh, this is of course fvwm 1.24r -- but I believe that 2.0
Eli> does the same thing.

This is a good thing to point out right here I think.  Whenever
posting bug reports, please make sure that you specify what version of
fvwm it is seen on.

Chuck

*******************************************************************************
Charles K. Hines
IBM Logic Synthesis developer [BooleDozer (TM)]
and Martial Arts Instructor [Modern Arnis, Presas Style Filipino Martial Arts]

Internet e-mail:     [email-masked]

IBM Internal e-mail: [email-masked]   (preferred from workstation)
                     HINESC at FISHKILL       (preferred from mainframe)
                     HINESC at FSHVMFK1       (discouraged, but I'll get it)

*******************************************************************************
 "dis ting could have possabiwities if I put my twisted widdle mind to it!"
                                                        - Bugs Bunny

 "I have a paper plate in my head because they were all out of the metal ones"
                                                        - Rick Overton
*******************************************************************************
--
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].